#!/bin/bash
VDR_CONF="/etc/conf.d/vdr"

if [ "$(pidof vdr)" != "" ] ; then
  /etc/init.d/vdr stop
fi

/_config/bin/dvbmod unload

#Testing with twinhan

VE=$(grep "^TWINHAN" $VDR_CONF)
if [ "$VE" = "" ] ; then
   logger -s "Adding TWINHAN=\"1\" to $VDR_CONF"
   echo "TWINHAN=\"1\"" >> $VDR_CONF
else
   logger -s "Changing TWINHAN=\"1\" in $VDR_CONF"
   sed -i $VDR_CONF -e "s/^TWINHAN=.*/TWINHAN=\"1\"/"
fi
dmesg -c > /dev/null
/_config/bin/dvbmod load

echo "Waiting for dvb devices to register ..."
sleep 20

DVB_CARDS=$(ls -l /dev/dvb | grep adapter | wc -l)
TWINHAN=$(dmesg | grep "^DVB: registering frontend" | grep "(DST " | wc -l)

if [ "$TWINHAN" = "0" ] ; then
   logger -s "Changing TWINHAN=\"0\" in $VDR_CONF"
   sed -i $VDR_CONF -e "s/^TWINHAN=.*/TWINHAN=\"0\"/"
fi


VE=$(grep "^DVB_CARDS" $VDR_CONF)
if [ "$VE" = "" ] ; then
   logger -s "Adding DVB_CARDS=\"${DVB_CARDS}\" to $VDR_CONF"
   echo "DVB_CARDS=\"${DVB_CARDS}\"" >> $VDR_CONF
else
   logger -s "Changing DVB_CARDS=\"${DVB_CARDS}\" to $VDR_CONF"
   sed -i $VDR_CONF -e "s/^DVB_CARDS=.*/DVB_CARDS=\"${DVB_CARDS}\"/"
fi
